For the complete documentation index, see llms.txt. This page is also available as Markdown.

Creative Redesign

Creative Redesign will redesign a room in a specific style.

Creative Redesign will redesign a room in a specific style. If the room is empty it won't add many furnitures, use the Smart Staging v2 or Furnish mode if you need to add furnitures first.

Endpoint

POST https://europe-west1-gepettoai.cloudfunctions.net/v1/creative-redesign

Headers

Name
Type
Description

Authorization*

String

Bearer {{API_KEY}}

Request Body

Name
Type
Description

url*

String (Url)

styleId*

String

The style ID that can be fetched on the Get Styles endpoint.

roomId*

String

The room ID that can be fetched on the Get Rooms endpoint.

webhook

String

(optional) Webhook POST URL to send the result on completion. If not provided, the request will wait for the result.

{
  "base64": "<base64 encoded image>",
  "status": "success"
}

{
  "status": "pending",
  "id": "xxxxxxxxxxxxxx", // You can use that id with Get Job
  "styleId": "your_style",
  "roomId": "your_room",
  "creativity": 14,
  "mode": "redesign"
}

Code Examples

curl --location 'https://europe-west1-gepettoai.cloudfunctions.net/v1/creative-redesign' \
--header 'Authorization: Bearer {{API_KEY}}' \
--header 'Content-Type: application/json' \
--data '{
  "url": "https://theneo-prod-public.s3.amazonaws.com/images-1695201150801.jpg",
  "styleId": "demeures",
  "roomId": "living_room"
}'
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer {{API_KEY}}");
myHeaders.append("Content-Type", "application/json");

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: JSON.stringify({
    "url": "https://theneo-prod-public.s3.amazonaws.com/images-1695201150801.jpg",
    "styleId": "demeures",
    "roomId": "living_room"
  })
};

const response = await fetch("https://europe-west1-gepettoai.cloudfunctions.net/v1/creative-redesign", requestOptions)
const body = await reponse.json();
console.log(body)

Results To Expect

Living room in a Scandinave style (Upscaled)
Kitchen in a Provence style (Upscaled)
Terrace with Pool in a Copenhagen Style (Upscaled)
Living room in a scandinave style (Upscaled)
Bathroom in a Cap Ferret style (Upscaled)
Terrace with pool in a provence style (Upscaled)

Last updated